%define api		1.0
%define major		5
%define libname		%mklibname %{name} %{major}
%define girgranitename	%mklibname %{name}-gir %{api}
%define develname	%mklibname %{name} -d

Name:		granite
Summary:	elementary companion library for GTK+ and GLib
Version:	5.5.0
Release:	%mkrel 1
License:	LGPLv3+
Group:		System/Libraries
URL:		https://github.com/elementary/granite
Source0:	https://github.com/elementary/granite/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	vala >= 0.40

BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(gobject-introspection-1.0)

# granite provides and needs some generic icons
Requires:	hicolor-icon-theme

%description
Granite is a companion library for GTK+ and GLib. Among other things, it
provides complex widgets and convenience functions designed for use in
apps built for elementary.

#------------------------------------------------

%package -n	%{libname}
Summary:	elementary companion library for GTK+ and GLib
Group:		System/Libraries

%description -n	%{libname}
Granite is a companion library for GTK+ and GLib. Among other things, it
provides complex widgets and convenience functions designed for use in
apps built for elementary.

#------------------------------------------------

%package -n	%{girgranitename}
Summary:	GObject Introspection interface description for Granite
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girgranitename}
GObject Introspection interface description for Granite.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girgranitename} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup

# fix gir library dependency
sed -i "s|@PLAINNAME@|libgranite.so.%{major}|" lib/meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}-demo
%{_datadir}/applications/io.elementary.%{name}.demo.desktop
%{_iconsdir}/hicolor/*/actions/appointment.svg
%{_iconsdir}/hicolor/*/actions/open-menu.svg
%{_iconsdir}/hicolor/scalable/actions/open-menu-symbolic.svg
%{_metainfodir}/%{name}.appdata.xml

%files -n %{libname}
%doc README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{girgranitename}
%doc README.md
%{_libdir}/girepository-%{api}/Granite-%{api}.typelib

%files -n %{develname}
%doc README.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-%{api}/Granite-%{api}.gir
%{_datadir}/vala/vapi/granite.deps
%{_datadir}/vala/vapi/granite.vapi


%changelog
* Sat Jul 04 2020 daviddavid <daviddavid> 5.5.0-1.mga8
+ Revision: 1601802
- new version: 5.5.0

* Fri May 01 2020 daviddavid <daviddavid> 5.4.0-1.mga8
+ Revision: 1577470
- new version: 5.4.0

* Thu Apr 02 2020 daviddavid <daviddavid> 5.3.1-1.mga8
+ Revision: 1564052
- new version: 5.3.1

* Tue Feb 18 2020 umeabot <umeabot> 5.3.0-2.mga8
+ Revision: 1540761
- Mageia 8 Mass Rebuild

* Mon Dec 16 2019 daviddavid <daviddavid> 5.3.0-1.mga8
+ Revision: 1468172
- new version: 5.3.0

* Sun Sep 15 2019 daviddavid <daviddavid> 5.2.5-2.mga8
+ Revision: 1441101
- fix again gir library dependency

* Fri Sep 06 2019 daviddavid <daviddavid> 5.2.5-1.mga8
+ Revision: 1437996
- new version: 5.2.5

* Mon Jul 08 2019 daviddavid <daviddavid> 5.2.4-1.mga8
+ Revision: 1419447
- new version: 5.2.4

* Wed Apr 17 2019 umeabot <umeabot> 5.2.3-3.mga7
+ Revision: 1392603
- Rebuild with meson 0.50.1

* Mon Feb 18 2019 daviddavid <daviddavid> 5.2.3-2.mga7
+ Revision: 1368260
- fix gir library dependency

* Fri Feb 15 2019 daviddavid <daviddavid> 5.2.3-1.mga7
+ Revision: 1367353
- new version: 5.2.3
- switch to meson build system

* Tue Dec 18 2018 daviddavid <daviddavid> 5.2.2-1.mga7
+ Revision: 1342565
- new version: 5.2.2

* Thu Nov 08 2018 daviddavid <daviddavid> 5.2.1-1.mga7
+ Revision: 1328930
- new version: 5.2.1

* Fri Nov 02 2018 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1327735
- new version: 5.2.0

* Fri Sep 07 2018 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1257618
- initial package granite

